$_text-inputs-list: (
  "[type='color']",
  "[type='date']",
  "[type='datetime']",
  "[type='datetime-local']",
  "[type='email']",
  "[type='month']",
  "[type='number']",
  "[type='password']",
  "[type='search']",
  "[type='tel']",
  "[type='text']",
  "[type='time']",
  "[type='url']",
  "[type='week']",
  "input:not([type])",
  "textarea",
  "select"
);

$small-spacing: 5;
$input-border-color: #C0C0C0;
$error-color: #D31145;

fieldset {
    background-color: transparent;
    border: 0;
    margin: 0;
    padding: 0;
}

legend {
    font-weight: 400;
    margin-bottom: $small-spacing / 2;
    padding: 0;
}

label {
    @apply text-richsred font-black;

    font-size: 14px;
    line-height: 18px;
    margin-bottom: $small-spacing / 2;
    text-transform: uppercase;

    &.error-message {
        margin-bottom: 0;
        margin-top: 8px;
        display: none;
        @apply text-richsred;
        float: right;
    }
}

input,
select,
textarea {
    display: block;
}

input[type='color'],
input[type='date'],
input[type='datetime'],
input[type='datetime-local'],
input[type='email'],
input[type='month'],
input[type='number'],
input[type='password'],
input[type='search'],
input[type='tel'],
input[type='text'],
input[type='time'],
input[type='url'],
input[type='week'],
input:not([type]),
select,
textarea {
    font-size: 18px;
    line-height: 18px;
    appearance: none;
    border: 2px solid $input-border-color;
    box-shadow: inset 0 1px 3px rgba(0,0,0,0.06);
    padding: 18px;
    transition: border-color 150ms ease;
    width: 100%;

    &:not(.mb-0) {
        margin-bottom: 30px;
    }
    
    &.has-error {
        border-color: $error-color;
    }

    &:focus {
        outline: none;
    }

    &:disabled {
        background-color: #f2f2f2;
        cursor: not-allowed;
    }
}

textarea {
    resize: vertical;
}

[type="checkbox"],
[type="radio"] {
    display: inline;
    margin-right: $small-spacing / 2;
}

[type="file"] {
    margin-bottom: $small-spacing;
    width: 100%;
}

.input-group {
    &.has-error {
        .error-message {
            display: inline-block;
        }
    }
}

.checkboxes{
    margin-bottom: 30px;

    input{
        position: absolute;
        z-index: -1;
        opacity: 0;
        width:0;
        margin:0;
    }

    label{
        display: block;
        cursor:pointer;
        font-size: 18px;
        line-height: 22px;
        position: relative;
        padding-left: 27px;
        .checkbox-indicator{
            position: absolute;
            left: 0;
            top:50%;
            transform: (translateY(-50%));
            height: 16px;
            width: 16px;
            display: inline;
            cursor: pointer;
            //border: 2px solid $input-border-color;
        }

        input:checked ~ .checkbox-indicator{
            background: url("../images/icons/tick.png") no-repeat center center;
            background-size: 10px;
        }
    }
}

.radio-buttons {
    .radio-row {
        //@include clearfix;
        margin-bottom: 30px;
    }

    input[type='radio'] {
        position: absolute;
        z-index: -1;
        opacity: 0;
        width:0;
        margin:0;
    }

    label {
        cursor: pointer;
        display: block;
        float: left;
        width: 33.33%;
        padding: 0;
        margin: 0;
        .indicator {
            transition: color .1s, border-color .1s;
            text-transform: uppercase;
            font-size: 14px;
            line-height: 14px;
            font-weight: 400;
            color: rgba(black, .5);
            //border: 2px solid $input-border-color;
            border-right: none;
            padding: 14px 0;
            text-align: center;
            margin-left: -2px;
        }
        input[type='radio']:checked ~ .indicator {
            //color: $richs-red;
            //border-color: $richs-red;
            border-right: 2px solid;
            margin-left: 0;
            z-index: 1000;
        }
        &:nth-child(3n) {
            .indicator {
                //border-right: 2px solid $input-border-color;
                border-top-right-radius: 3px;
                border-bottom-right-radius: 3px;
            }
        }
        &:first-of-type, &:nth-child(4n) {
            .indicator {
                border-top-left-radius: 3px;
                border-bottom-left-radius: 3px;
            }
        }
    }
}

[type="submit"] {
    font-size: 14px;
    line-height: 14px;
    text-transform: uppercase;
    float: right;
    min-width: 210px;
    padding: 15px 0;
    @apply bg-richsred;
    color: #fff;
    /*@include grid-media($mobile) {
        float: none;
        width: 100%;
    }*/
}

select {
    //font: bold 14px/14px $base-font-family;
    padding: 17px 15px;
    text-transform: uppercase;
}

.select-wrap {
    position: relative;
    &:after {
        font: 800 16px FontAwesome;
        content: '\f107';
        color: black;
        display: inline;
        position: absolute;
        top: 15px;
        right: 10px;
        pointer-events: none;
    }
    &.red {
        &:after {
            //color: $richs-red;
        }
    }
}

.select-wrap.outlined {
    position: relative;
    &:after {
        top: 10px;
        right: 12px;
    }
    select {
        border: 2px solid;
        border-radius: 5px;
        background: transparent;
        padding: 9px 0 9px 10px;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 14px;
        line-height: 14px;
        option {
            line-height: 14px;
        }
    }
    &.red {
        select {
            //border-color: $richs-red;
            //color: $richs-red;
        }
        &:after {
            //color: $richs-red;
        }
    }
}

/** Style needed to contain form within popup **/
.pop-up .gform_wrapper {
    flex: 1;
}